function bn = gen_bn_student()
% gen_bn_student generates the student network data structure.
% as the variables are binary, each cpt represents p(var=true|parents).

bn = struct('pa',[],'cpt',[]);

D = 1 ;% difficulty variable
I = 2 ;% intelligence variable
G = 3 ;% grade variable
S = 4 ;% sat variable
L = 5 ;% letter variable

bn(D).pa = [] ; 
bn(D).cpt = 0.3 ;% P(D=true) = 0.3 ;

bn(I).pa = [];
bn(I).cpt = 0.67 ;% P(E=true) = 0.01 ;

bn(G).pa = [D I];
bn(G).cpt = [0.5 0.87 0.1 0.7];% P(G=true|D=false, I=false) = 0.5 ;P(G=true|D=false, I=true) = 0.87 ;

bn(S).pa = I; 
bn(S).cpt = [0.05 0.78];% P(M=true|A=false) = 0.05;

bn(L).pa = G;
bn(L).cpt = [0.3 0.82]; % P(J=true|A=false) = 0.01;


